summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-php/PEAR-Crypt_CHAP')
-rw-r--r--dev-php/PEAR-Crypt_CHAP/Manifest1
-rw-r--r--dev-php/PEAR-Crypt_CHAP/PEAR-Crypt_CHAP-1.5.0.ebuild21
-rw-r--r--dev-php/PEAR-Crypt_CHAP/metadata.xml5
3 files changed, 27 insertions, 0 deletions
diff --git a/dev-php/PEAR-Crypt_CHAP/Manifest b/dev-php/PEAR-Crypt_CHAP/Manifest
new file mode 100644
index 000000000000..647fcdfcbb6c
--- /dev/null
+++ b/dev-php/PEAR-Crypt_CHAP/Manifest
@@ -0,0 +1 @@
+DIST Crypt_CHAP-1.5.0.tgz 5549 SHA256 12b971b4ab3f7dc20bb7f8bdc5f420de10fe6ce7222f7715b3b6a074d1f76233 SHA512 44cdfdf0bc857b3992c2635945374033112d972cdefeac8a45810f5b79a6a532de67fc5e9a06f2ec4b3ce4df62e300451d0f4078b4f8ecc9805dca5c08f6aa95 WHIRLPOOL 72756a4cac3aed44856c080e1e8e74951c57ed35dc6a89d06486f53070f53c84830730b76428f45ea93e2fb5cc9b165135167d385fa9451c40f64d50009bd90b
diff --git a/dev-php/PEAR-Crypt_CHAP/PEAR-Crypt_CHAP-1.5.0.ebuild b/dev-php/PEAR-Crypt_CHAP/PEAR-Crypt_CHAP-1.5.0.ebuild
new file mode 100644
index 000000000000..093b899d47d9
--- /dev/null
+++ b/dev-php/PEAR-Crypt_CHAP/PEAR-Crypt_CHAP-1.5.0.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit php-pear-r1
+
+DESCRIPTION="Generating CHAP packets"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 ~s390 ~sh sparc x86"
+IUSE=""
+
+pkg_postinst() {
+ if ! has_version "dev-lang/php[crypt,mhash]" ; then
+ elog "${PN} can optionally use dev-lang/php crypt and mhash features."
+ elog "If you want those, recompile dev-lang/php with these flags in USE."
+ fi
+}
diff --git a/dev-php/PEAR-Crypt_CHAP/metadata.xml b/dev-php/PEAR-Crypt_CHAP/metadata.xml
new file mode 100644
index 000000000000..fd3dbe39fa64
--- /dev/null
+++ b/dev-php/PEAR-Crypt_CHAP/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>php</herd>
+</pkgmetadata>